Skip to content

Brands

GET
/v2/brand
curl --request GET \
--url 'https://api-admin.billz.ai/v2/brand?page=1&limit=10' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

page
integer format: int32
default: 1

Non-numeric -> 400

Example
1
limit
integer format: int32
default: 10

Non-numeric -> 400

Example
10
name
string

Search by name; takes precedence over search

search
string

Used only if name is empty

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
count

Total number of brands

integer format: int32
brands
Array<object>
object
id
string
name
string
company_id
string
logo
string
Examplegenerated
{
"count": 1,
"brands": [
{
"id": "example",
"name": "example",
"company_id": "example",
"logo": "example"
}
]
}